public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pywlroots/
Date: Sun,  9 Apr 2023 06:08:41 +0000 (UTC)	[thread overview]
Message-ID: <1681020514.31f52c05fc00fd39015a69a4939ef591e7f096db.mgorny@gentoo> (raw)

commit:     31f52c05fc00fd39015a69a4939ef591e7f096db
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  9 05:59:34 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr  9 06:08:34 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31f52c05

dev-python/pywlroots: Bump to 0.16.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pywlroots/Manifest                |  1 +
 dev-python/pywlroots/pywlroots-0.16.4.ebuild | 40 ++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/pywlroots/Manifest b/dev-python/pywlroots/Manifest
index ff2a0c3eab43..8ca8c2c5d5cd 100644
--- a/dev-python/pywlroots/Manifest
+++ b/dev-python/pywlroots/Manifest
@@ -1,2 +1,3 @@
 DIST pywlroots-0.15.24.gh.tar.gz 85570 BLAKE2B 0c7ba0be6159152488785298028bb1feec20e2380357060a850dab417b3fb1fccb4a9e6cc6564d2b7f124bf4fc454789549267e9036b0b4559e5fcd4c6f06196 SHA512 b29b76cf18a65b2ef19d15ecf018a9ba44119d60ee61435967d17f06d5f7544d2117f2e9a81574734c71591a237b00c8584a5cc6d6adb928f39f11170f21ee94
 DIST pywlroots-0.16.3.gh.tar.gz 90971 BLAKE2B 67eceeb4e4724ee3c1dcc3afb21c3466a21e8a1e9b56b2adf0a7b236990f9fc69c80f7ae056d0b0f9914149ead29cdb9dd671606a7fc67b2e860bb0bccd3a19b SHA512 46a095c818eee4205115a948f5b88078815aa9a4849e2f08108d3898349772acab70a71c2f083e1a6e78c29cc612661412203d618e77f1c2d94d1387fcf6425f
+DIST pywlroots-0.16.4.tar.gz 91198 BLAKE2B eb1fd95dc16cb1c4b969d4c69627c344d03f6ec9d3651c2dcfa3067afbde979924bb88b4cb39c8a264da08392a641a73a45ee79a4e76f1d475d9afc2c5cc310c SHA512 9f10b510f0b034448f65658f5b234c0d152440c0ce133918dbb97ff2c8f3a9ee2ee19011f1fd931713da798c8dce55bf485c559e18f0468c19702996d0f29cd8

diff --git a/dev-python/pywlroots/pywlroots-0.16.4.ebuild b/dev-python/pywlroots/pywlroots-0.16.4.ebuild
new file mode 100644
index 000000000000..0a4cbf0dd114
--- /dev/null
+++ b/dev-python/pywlroots/pywlroots-0.16.4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python binding to the wlroots library using cffi"
+HOMEPAGE="
+	https://github.com/flacjacket/pywlroots/
+	https://pypi.org/project/pywlroots/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+# See README for wlroots dep
+DEPEND="
+	>=dev-python/pywayland-0.4.14[${PYTHON_USEDEP}]
+	>=dev-python/xkbcommon-0.2[${PYTHON_USEDEP}]
+	=gui-libs/wlroots-$(ver_cut 1-2)*:=
+"
+RDEPEND="
+	${DEPEND}
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-0.15.24-no-import-version-check.patch
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+	rm -rf wlroots || die
+	epytest
+}


             reply	other threads:[~2023-04-09  6:08 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-04-09  6:08 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-16  7:28 [gentoo-commits] repo/gentoo:master commit in: dev-python/pywlroots/ Arthur Zamarin
2024-06-16 17:37 Michał Górny
2024-05-28 18:40 Michał Górny
2024-05-28 17:01 Sam James
2024-05-13  2:12 Michał Górny
2024-05-13  2:12 Michał Górny
2024-05-05  4:33 Michał Górny
2024-05-04 11:32 Michał Górny
2024-05-04  7:48 Arthur Zamarin
2024-04-17 13:23 Michał Górny
2023-12-05 14:32 Michał Górny
2023-12-02 19:30 Michał Górny
2023-11-11 20:36 Michał Górny
2023-11-11 19:21 Sam James
2023-11-05 17:00 Michał Górny
2023-10-15 15:27 Michał Górny
2023-10-15  8:26 Sam James
2023-10-08 17:48 Michał Górny
2023-09-11  2:57 Michał Górny
2023-07-15  6:07 Sam James
2023-06-11  9:21 Michał Górny
2023-06-11  9:21 Michał Górny
2023-05-13 16:06 Michał Górny
2023-05-13 11:35 Arthur Zamarin
2023-05-04 16:56 Michał Górny
2023-05-03  6:55 Arthur Zamarin
2023-03-23 16:36 Michał Górny
2023-03-19  4:13 Michał Górny
2023-03-16 16:35 Michał Górny
2023-02-22  5:09 Michał Górny
2023-02-21  7:41 Michał Górny
2023-01-14  8:50 Joonas Niilola
2023-01-12 21:18 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1681020514.31f52c05fc00fd39015a69a4939ef591e7f096db.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox